from flask import Blueprint, jsonify, session, request, current_app, abort

misc = Blueprint("misc", __name__)


@misc.route("/")
def version():
    return jsonify({"version": "1"})


@misc.route("/name", methods=["POST"])
def name():
    js = request.json()
    if current_app.config["GROUP_PASS"] != js.get("secret", None):
        abort(400)
    name = js.get("name", None)
    if name is None:
        abort(400)
    session["name"] = name
    return "", 204